#!/usr/bin/make -f

PYVERS:=$(shell pyversions -s)

%:
	dh $@ --with python2

override_dh_clean:
	dh_clean
	rm -rf html

override_dh_auto_install:
	dh_auto_install
	./setup.py docs

override_dh_auto_test:
ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
	set -e; \
	for python in $(PYVERS) ; do \
		$$python setup.py test ; \
	done
endif
